<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__worker__thread_8h" kind="file" language="C++">
    <compoundname>cy_worker_thread.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="yes">cy_result.h</includes>
    <includes local="yes" refid="cyabs__rtos_8h">cyabs_rtos.h</includes>
    <includedby local="yes" refid="cy__worker__thread_8c">cy_worker_thread.c</includedby>
    <incdepgraph>
      <node id="7">
        <label>stdint.h</label>
      </node>
      <node id="6">
        <label>cy_worker_thread.h</label>
        <link refid="cy__worker__thread_8h" />
        <childnode refid="7" relation="include">
        </childnode>
        <childnode refid="8" relation="include">
        </childnode>
      </node>
      <node id="8">
        <label>cy_result.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcy__worker__thread__params__t">cy_worker_thread_params_t</innerclass>
    <innerclass prot="public" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__worker__thread__util_1gae45bcc8cd62f58eb236ef486b4d5558c" kind="define" prot="public" static="no">
        <name>CY_WORKER_THREAD_DEFAULT_NAME</name>
        <initializer>"CYWorker"</initializer>
        <briefdescription>
<para>&lt; Default worker thread name </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="48" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="48" />
      </memberdef>
      <memberdef id="group__group__worker__thread__util_1gae442fac806ebf74e3ba623a2c2e2ae1b" kind="define" prot="public" static="no">
        <name>CY_WORKER_DEFAULT_ENTRIES</name>
        <initializer>(16)</initializer>
        <briefdescription>
<para>Default number of work items in the queue. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="50" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="50" />
      </memberdef>
      <memberdef id="group__group__worker__thread__util_1gaad1bf39d72a75351866a1871779dcaf8" kind="define" prot="public" static="no">
        <name>CY_WORKER_THREAD_ERR_THREAD_INVALID</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_ABSTRACTION_OS, 32)</initializer>
        <briefdescription>
<para>Additional work cannot be enqueued because the worker thread has been terminated. </para>        </briefdescription>
        <detaileddescription>
<para>This can occur if <ref kindref="member" refid="group__group__worker__thread__util_1ga383f418c20f7ae9d2eb184722b7bbd04">cy_worker_thread_create</ref> was not called or <ref kindref="member" refid="group__group__worker__thread__util_1gae4a9787d87626fefc16e328754182c37">cy_worker_thread_delete</ref> was called before calling <ref kindref="member" refid="group__group__worker__thread__util_1ga4a582d807e3b7d4fa0bf7ee770af9015">cy_worker_thread_enqueue</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="56" column="9" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="56" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__worker__thread__util_1ga514bc54aa543a69ce1768903b9851473" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cy_worker_thread_state_t</name>
        <enumvalue id="group__group__worker__thread__util_1gga514bc54aa543a69ce1768903b9851473a0d938b2d088126d6d47c936040e843c2" prot="public">
          <name>CY_WORKER_THREAD_INVALID</name>
          <briefdescription>
<para>Worker Thread is in invalid state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__worker__thread__util_1gga514bc54aa543a69ce1768903b9851473aec127b9642db106c61c3c32106fb69fb" prot="public">
          <name>CY_WORKER_THREAD_VALID</name>
          <briefdescription>
<para>Worker Thread is in valid state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__worker__thread__util_1gga514bc54aa543a69ce1768903b9851473a79db794eee56f8188a116ed31ae5b1d4" prot="public">
          <name>CY_WORKER_THREAD_TERMINATING</name>
          <briefdescription>
<para>Worker Thread is starting to terminate. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__worker__thread__util_1gga514bc54aa543a69ce1768903b9851473a8685271e73d4fc9bc13e62a58a8431c8" prot="public">
          <name>CY_WORKER_THREAD_JOIN_COMPLETE</name>
          <briefdescription>
<para>Worker Thread join is complete. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_worker_thread_state_t: </bold><linebreak />Thread state enumeration.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="68" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="62" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="63" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__worker__thread__util_1gaeb4fb0e41f7d0092cc135f7cc5e41250" kind="typedef" prot="public" static="no">
        <type>void()</type>
        <definition>typedef void() cy_worker_thread_func_t(void *arg)</definition>
        <argsstring>(void *arg)</argsstring>
        <name>cy_worker_thread_func_t</name>
        <briefdescription>
<para>Worker thread function call prototype. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="59" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="59" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__worker__thread__util_1ga383f418c20f7ae9d2eb184722b7bbd04" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_worker_thread_create</definition>
        <argsstring>(cy_worker_thread_info_t *new_worker, const cy_worker_thread_params_t *params)</argsstring>
        <name>cy_worker_thread_create</name>
        <param>
          <type><ref kindref="compound" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</ref> *</type>
          <declname>new_worker</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__worker__thread__params__t">cy_worker_thread_params_t</ref> *</type>
          <declname>params</declname>
        </param>
        <briefdescription>
<para>Create worker thread to handle running callbacks in a separate thread. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Calling this function twice on the same thread object ( &lt;a href="structcy__worker__thread__info__t.html#"&gt;cy_worker_thread_info_t&lt;/a&gt;) without calling &lt;a href="group__group__worker__thread__util.html#group__group__worker__thread__util_1gae4a9787d87626fefc16e328754182c37"&gt;cy_worker_thread_delete&lt;/a&gt; will cause memory leakage.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">new_worker</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to <ref kindref="compound" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</ref> structure to be filled when created. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">params</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to requested parameters for starting worker thread.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the worker thread creation request. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="104" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/source/cy_worker_thread.c" bodystart="74" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="102" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__worker__thread__util_1gae4a9787d87626fefc16e328754182c37" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_worker_thread_delete</definition>
        <argsstring>(cy_worker_thread_info_t *old_worker)</argsstring>
        <name>cy_worker_thread_delete</name>
        <param>
          <type><ref kindref="compound" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</ref> *</type>
          <declname>old_worker</declname>
        </param>
        <briefdescription>
<para>Delete worker thread. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function will wait for the thread to complete all pending work in the queue and exit before returning.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">old_worker</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to <ref kindref="compound" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</ref> structure to be deleted.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the deletion of the worker thread. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="147" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/source/cy_worker_thread.c" bodystart="106" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="113" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__worker__thread__util_1ga4a582d807e3b7d4fa0bf7ee770af9015" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_worker_thread_enqueue</definition>
        <argsstring>(cy_worker_thread_info_t *worker_info, cy_worker_thread_func_t *work_func, void *arg)</argsstring>
        <name>cy_worker_thread_enqueue</name>
        <param>
          <type><ref kindref="compound" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</ref> *</type>
          <declname>worker_info</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__worker__thread__util_1gaeb4fb0e41f7d0092cc135f7cc5e41250">cy_worker_thread_func_t</ref> *</type>
          <declname>work_func</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>arg</declname>
        </param>
        <briefdescription>
<para>Queue work on a worker thread. </para>        </briefdescription>
        <detaileddescription>
<para>Call the given function in the worker thread context.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;If the thread priority is below that of the current thread, you must yield to allow the worker thread to run. This can be done by calling &lt;a href="group__group__abstraction__rtos__time.html#group__group__abstraction__rtos__time_1gaa33d9f3026f722ac92950c6215e4283a"&gt;cy_rtos_delay_milliseconds&lt;/a&gt; or by waiting on an RTOS object in all higher priority threads.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">worker_info</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to worker_thread used to run function </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">work_func</parametername>
</parameternamelist>
<parameterdescription>
<para>function to run </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">arg</parametername>
</parameternamelist>
<parameterdescription>
<para>opaque arg to be used in function call</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the queueing of work. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="167" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/source/cy_worker_thread.c" bodystart="149" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="129" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Defines the interface for the worker thread utility. </para>    </briefdescription>
    <detaileddescription>
<para>Provides prototypes for functions that allow creating/deleting worker threads and queueing work to a worker thread.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="26"><highlight class="preprocessor">#ifndef<sp />CY_WORKER_THREAD_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WORKER_THREAD_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyabs_rtos.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="preprocessor">#define<sp />CY_WORKER_THREAD_DEFAULT_NAME<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"CYWorker"</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="preprocessor">#define<sp />CY_WORKER_DEFAULT_ENTRIES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(16)</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="preprocessor">#define<sp />CY_WORKER_THREAD_ERR_THREAD_INVALID<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CY_RSLT_MODULE_ABSTRACTION_OS,<sp />32)</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(<ref kindref="member" refid="group__group__worker__thread__util_1gaeb4fb0e41f7d0092cc135f7cc5e41250">cy_worker_thread_func_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*arg);</highlight></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal">{</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__worker__thread__util_1gga514bc54aa543a69ce1768903b9851473a0d938b2d088126d6d47c936040e843c2">CY_WORKER_THREAD_INVALID</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__worker__thread__util_1gga514bc54aa543a69ce1768903b9851473aec127b9642db106c61c3c32106fb69fb">CY_WORKER_THREAD_VALID</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__worker__thread__util_1gga514bc54aa543a69ce1768903b9851473a79db794eee56f8188a116ed31ae5b1d4">CY_WORKER_THREAD_TERMINATING</ref>,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__worker__thread__util_1gga514bc54aa543a69ce1768903b9851473a8685271e73d4fc9bc13e62a58a8431c8">CY_WORKER_THREAD_JOIN_COMPLETE</ref><sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__worker__thread__util_1ga514bc54aa543a69ce1768903b9851473">cy_worker_thread_state_t</ref>;</highlight></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="71" refid="structcy__worker__thread__params__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal">{</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga9f21bb78897c25df019b6e4286ecc7a0">cy_thread_priority_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />priority;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />stack_size;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*stack;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*name;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />num_entries;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="82"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__worker__thread__params__t">cy_worker_thread_params_t</ref>;</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="85" refid="structcy__worker__thread__info__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal">{</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1gac3dcb8e5a19cd138761a6548dd4de50f">cy_queue_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />event_queue;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga27c9e935c4c4f200d86a8484d3db08d3">cy_thread_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />thread;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__worker__thread__util_1ga514bc54aa543a69ce1768903b9851473">cy_worker_thread_state_t</ref><sp />state;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="90"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</ref>;</highlight></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__worker__thread__util_1ga383f418c20f7ae9d2eb184722b7bbd04">cy_worker_thread_create</ref>(<ref kindref="compound" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</ref><sp />*new_worker,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__worker__thread__params__t">cy_worker_thread_params_t</ref><sp />*params);</highlight></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__worker__thread__util_1gae4a9787d87626fefc16e328754182c37">cy_worker_thread_delete</ref>(<ref kindref="compound" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</ref><sp />*old_worker);</highlight></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal"><sp />cy_rslt_t<sp /><ref kindref="member" refid="group__group__worker__thread__util_1ga4a582d807e3b7d4fa0bf7ee770af9015">cy_worker_thread_enqueue</ref>(<ref kindref="compound" refid="structcy__worker__thread__info__t">cy_worker_thread_info_t</ref><sp />*worker_info,<sp /><ref kindref="member" refid="group__group__worker__thread__util_1gaeb4fb0e41f7d0092cc135f7cc5e41250">cy_worker_thread_func_t</ref><sp />*work_func,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*arg);</highlight></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal">}</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /><sp /></highlight><highlight class="comment">/*<sp />CY_WORKER_THREAD_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" />
  </compounddef>
</doxygen>